Scripts for building an image containing cpython and needed libs and tools
=========================================================

Scripts in this repo are [Unlicensed ![](https://raw.githubusercontent.com/unlicense/unlicense.org/master/static/favicon.png)](https://unlicense.org/).

Third-party components have own licenses.

**DISCLAIMER: BADGES BELOW DO NOT REFLECT THE STATE OF THE DEPENDENCIES IN THE CONTAINER**

This builds a Docker image contains the following components:
  * [`cpp` Docker image](https://gitlab.com/KOLANICH-subgroups/docker-images/cpp), each component of which has own license;
  * [`lsb-release` impl for Debian](https://tracker.debian.org/pkg/lsb-release) [![Debian Testing package](https://repology.org/badge/version-for-repo/debian_testing/lsb-release.svg) ![latest packaged version(s)](https://repology.org/badge/latest-versions/lsb-release.svg)](https://repology.org/metapackage/lsb-release/versions) [from Debian packages](https://packages.debian.org/search?keywords=lsb-release) [![GNU General Public License v2](https://img.shields.io/badge/License-GPL--2.0-fe7d37.svg)](./licenses/GPL-2.0.md);
  * [`python3-gpg`](https://tracker.debian.org/pkg/python3-gpg) [![Debian Testing package](https://repology.org/badge/version-for-repo/debian_testing/python:gpg.svg) ![latest packaged version(s)](https://repology.org/badge/latest-versions/python:gpg.svg)](https://repology.org/metapackage/python:gpg/versions) [from Debian packages](https://packages.debian.org/search?keywords=python3-gpg) [![GNU Lesser General Public License v2.1+](https://img.shields.io/badge/License-LGPL--2.1+-fe7d37.svg)](./licenses/LGPL-2.1.md);
  * [`python3-apt`](https://tracker.debian.org/pkg/python:apt) [![Debian Testing package](https://repology.org/badge/version-for-repo/debian_testing/python:apt.svg) ![latest packaged version(s)](https://repology.org/badge/latest-versions/python:apt.svg)](https://repology.org/metapackage/python:apt/versions) [from Debian packages](https://packages.debian.org/search?keywords=python3-apt) [![GNU General Public License v2](https://img.shields.io/badge/License-GPL--2.0-fe7d37.svg)](./licenses/GPL-2.0.md);
  * `setuptools` [![PyPi Status](https://img.shields.io/pypi/v/setuptools.svg)](https://pypi.python.org/pypi/setuptools) [from git](https://github.com/pypa/setuptools) [![Licence](https://img.shields.io/github/license/pypa/setuptools.svg)](https://github.com/pypa/setuptools/blob/master/LICENSE) [![Libraries.io Status](https://img.shields.io/librariesio/github/pypa/setuptools.svg)](https://libraries.io/github/pypa/setuptools)
  * `setuptools_scm` [![PyPi Status](https://img.shields.io/pypi/v/setuptools_scm.svg)](https://pypi.python.org/pypi/setuptools_scm) [from git](https://github.com/pypa/setuptools_scm) [![Licence](https://img.shields.io/github/license/pypa/setuptools_scm.svg)](https://github.com/pypa/setuptools_scm/blob/master/LICENSE) [![Libraries.io Status](https://img.shields.io/librariesio/github/pypa/setuptools_scm.svg)](https://libraries.io/github/pypa/setuptools_scm)
  * `wheel` [![PyPi Status](https://img.shields.io/pypi/v/wheel.svg)](https://pypi.python.org/pypi/wheel) [from git](https://github.com/pypa/wheel) [![Licence](https://img.shields.io/github/license/pypa/wheel.svg)](https://github.com/pypa/wheel/blob/master/LICENSE.txt) [![Libraries.io Status](https://img.shields.io/librariesio/github/pypa/wheel.svg)](https://libraries.io/github/pypa/wheel)
  * `pip` [![PyPi Status](https://img.shields.io/pypi/v/pip.svg)](https://pypi.python.org/pypi/pip) [from git](https://github.com/pypa/pip) [![Licence](https://img.shields.io/github/license/pypa/pip.svg)](https://github.com/pypa/pip/blob/master/LICENSE.txt) [![Libraries.io Status](https://img.shields.io/librariesio/github/pypa/pip.svg)](https://libraries.io/github/pypa/pip)
  * `build` [![PyPi Status](https://img.shields.io/pypi/v/build.svg)](https://pypi.python.org/pypi/build) [from git](https://github.com/pypa/pip) [![Licence](https://img.shields.io/github/license/pypa/build.svg)](https://github.com/pypa/build/blob/master/LICENSE.txt) [![Libraries.io Status](https://img.shields.io/librariesio/github/pypa/build.svg)](https://libraries.io/github/pypa/build)
  * `requests` [![PyPi Status](https://img.shields.io/pypi/v/requests.svg)](https://pypi.python.org/pypi/requests) [from git](https://github.com/requests/requests) [![Licence](https://img.shields.io/github/license/requests/requests.svg)](https://github.com/requests/requests/blob/master/LICENSE) [![Libraries.io Status](https://img.shields.io/librariesio/github/requests/requests.svg)](https://libraries.io/github/requests/requests)
  * [`lxml`](https://github.com/lxml/lxml) [![PyPi Status](https://img.shields.io/pypi/v/lxml.svg)](https://pypi.python.org/pypi/lxml) [![Debian Testing package](https://repology.org/badge/version-for-repo/debian_testing/python:lxml.svg) ![latest packaged version(s)](https://repology.org/badge/latest-versions/python:lxml.svg)](https://repology.org/metapackage/python:lxml/versions) [from Debian packages](https://packages.debian.org/search?keywords=python3-lxml) [![Licence](https://img.shields.io/github/license/lxml/lxml.svg)](https://github.com/lxml/lxml/blob/master/LICENSE.txt) [![Libraries.io Status](https://img.shields.io/librariesio/github/lxml/lxml.svg)](https://libraries.io/github/lxml/lxml)
  * `beautifulsoup4` [![PyPi Status](https://img.shields.io/pypi/v/beautifulsoup4.svg)](https://pypi.python.org/pypi/beautifulsoup4) [![Debian Testing package](https://repology.org/badge/version-for-repo/debian_testing/python:beautifulsoup4.svg) ![latest packaged version(s)](https://repology.org/badge/latest-versions/python:beautifulsoup4.svg)](https://repology.org/metapackage/python:beautifulsoup4/versions) [from Debian packages](https://packages.debian.org/search?keywords=python3-bs4) [![Licence](https://img.shields.io/badge/license-MIT-97ca00.svg)](https://github.com/lxml/lxml/blob/master/LICENSE.txt)
  * `dateutil` [![PyPi Status](https://img.shields.io/pypi/v/python-dateutil.svg)](https://pypi.python.org/pypi/python-dateutil) [from git](https://github.com/dateutil/dateutil) [![Licence](https://img.shields.io/github/license/dateutil/dateutil.svg)](https://github.com/dateutil/dateutil/blob/master/LICENSE) [![Libraries.io Status](https://img.shields.io/librariesio/github/dateutil/dateutil.svg)](https://libraries.io/github/dateutil/dateutil)
  * `coveralls` python client [![PyPi Status](https://img.shields.io/pypi/v/coveralls.svg)](https://pypi.python.org/pypi/coveralls) [from git](https://github.com/coveralls-clients/coveralls-python) [![Licence](https://img.shields.io/github/license/coveralls-clients/coveralls-python.svg)](https://github.com/coveralls-clients/coveralls-python/blob/master/LICENSE.txt) [![Libraries.io Status](https://img.shields.io/librariesio/github/coveralls-clients/coveralls-python.svg)](https://libraries.io/github/coveralls-clients/coveralls-python), SHA-1 [`eba54e4d19e40e3907e5fd516f68e8b4dc9e5a31`](https://github.com/coveralls-clients/coveralls-python/commit/eba54e4d19e40e3907e5fd516f68e8b4dc9e5a31)
  * `codecov` [![PyPi Status](https://img.shields.io/pypi/v/codecov.svg)](https://pypi.python.org/pypi/codecov) python client [from git](https://github.com/codecov/codecov-python) [![Licence](https://img.shields.io/github/license/codecov/codecov-python.svg)](https://github.com/codecov/codecov-python/blob/master/LICENSE), [![Libraries.io Status](https://img.shields.io/librariesio/github/codecov/codecov-python.svg)](https://libraries.io/github/codecov/codecov-python), SHA-1 [`0743daa83647f12ff31b84d07113d2c24c27b924`](https://github.com/codecov/codecov-python/commit/0743daa83647f12ff31b84d07113d2c24c27b924)
  * `lazy_object_proxy` [![PyPi Status](https://img.shields.io/pypi/v/lazy_object_proxy.svg)](https://pypi.python.org/pypi/lazy_object_proxy) python client [from git](https://github.com/ionelmc/python-lazy-object-proxy) [![Licence](https://img.shields.io/github/license/ionelmc/python-lazy-object-proxy.svg)](https://github.com/ionelmc/python-lazy-object-proxy/blob/master/LICENSE), [![Libraries.io Status](https://img.shields.io/librariesio/github/ionelmc/python-lazy-object-proxy.svg)](https://libraries.io/github/ionelmc/python-lazy-object-proxy)
  * `pytest` [![PyPi Status](https://img.shields.io/pypi/v/pytest.svg)](https://pypi.python.org/pypi/pytest) python client [from git](https://github.com/pytest-dev/pytest) [![Licence](https://img.shields.io/github/license/pytest-dev/pytest.svg)](https://github.com/pytest-dev/pytest/blob/master/LICENSE), [![Libraries.io Status](https://img.shields.io/librariesio/github/pytest-dev/pytest.svg)](https://libraries.io/github/pytest-dev/pytest)
  * dependencies of everything above.
